# LingshaSR
#### An experimental Honkai: Star Rail 2.4.51 server emulator

![screenshot](https://git.xeondev.com/reversedrooms/LingshaSR/raw/branch/master/screenshot.png)

## Requirements
[OCaml](https://opam.ocaml.org/blog/opam-2-2-0/)

## Running
### From source

```
git clone https://git.xeondev.com/reversedrooms/LingshaSR.git
cd LingshaSR

cd sdkserver
opam install . --deps-only
opam exec -- dune exec sdkserver

cd gameserver
opam install . --deps-only
opam exec -- dune exec gameserver
```


### Using Pre-built Binaries
Navigate to the [Releases](https://git.xeondev.com/reversedrooms/LingshaSR/releases)
page and download the latest release for your platform.

## Connecting
[Get 2.5 beta client](https://git.xeondev.com/xeon/3/raw/branch/3/HSR2.5_beta_reversedrooms.torrent),
replace [mhypbase.dll](https://git.xeondev.com/reversedrooms/LingshaSR/raw/branch/master/mhypbase.dll)
file in your game folder, it will redirect game traffic (and disable in-game censorship)

## Functionality (work in progress)
- Login and player spawn
- Battle via calyx

## Contributing

Pull requests are welcome. For major changes, please open an issue first to discuss
what you would like to change, and why.

## Bug Reports

If you find a bug, please open an issue with as much detail as possible. If you
can, please include steps to reproduce the bug.

Bad issues such as "This doesn't work" will be closed immediately, be _sure_ to
provide exact detailed steps to reproduce your bug. If it's hard to reproduce, try
to explain it and write a reproducer as best as you can.