open Cmdid
open Protocol
open Packet

let on_get_cur_scene_info _pk =
  let scene = default_scene_info
    ~plane_id:20313l
    ~floor_id:20313001l
    ~entry_id:2031301l
    ~game_mode_type:1l
    ~scene_group_list:[
      {
        group_id = 0l;
        state = 1l;
        entity_list = [{
          entity_id = 0l;
          group_id = 0l;
          inst_id = 0l;
          motion = Some {
            pos = Some { x = 40748l; y = 192819l; z = 439218l; };
            rot = Some (default_vector ())
          };
          entity = Actor {
            base_avatar_id = 1222l;
            map_layer = 2l;
            uid = 1337l;
            avatar_type = Avatar_formal_type;
          }
        }]
      };
      {
        group_id = 186l;
        state = 1l;
        entity_list = [{
          entity_id = 1337l;
          group_id = 186l;
          inst_id = 300001l;
          motion = Some {
            pos = Some { x = 31440l; y = 192820l; z = 433790l; };
            rot = Some (default_vector ())
          };
          entity = Prop (default_scene_prop_info
            ~prop_id:808l
            ~prop_state:1l
            ())
        }]
      }
    ]
    () in

  pack cmd_get_cur_scene_info_sc_rsp encode_pb_get_cur_scene_info_sc_rsp {
    retcode = 0l;
    scene = Some scene;
  }
